Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.function
Class Logistic.Parametric

    java.lang.Object
      org.apache.commons.math3.analysis.function.Logistic.Parametric

All Implemented Interfaces:
  ParametricUnivariateFunction

Enclosing class:
  Logistic

    public static class Logistic.Parametric

extends Object
implements ParametricUnivariateFunction

Parametric function where the input array contains the parameters of the logit function, ordered as follows:

- Lower asymptote
- Higher asymptote

Constructor Summary
`Logistic.Parametric()`

Method Summary
`double[]` | `gradient(double x, double... param)` Computes the value of the gradient at `x`.
`double` | `value(double x, double... param)` Computes the value of the sigmoid at `x`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logistic.Parametric

    public Logistic.Parametric()

Method Detail

### value

    public double value(double x,
                        double... param)
                 throws NullArgumentException,
                        DimensionMismatchException,
                        NotStrictlyPositiveException

  Computes the value of the sigmoid at `x`.

  Specified by:
    `value` in interface `ParametricUnivariateFunction`
  Parameters:
    `x` - Value for which the function must be computed.
    `param` - Values for `k`, `m`, `b`, `q`, `a` and `n`.
  Returns:
    the value of the function.
  Throws:
    `NullArgumentException` - if `param` is `null`.
    `DimensionMismatchException` - if the size of `param` is not 6.
    `NotStrictlyPositiveException` - if `param[5] <= 0`.

### gradient

    public double[] gradient(double x,
                             double... param)
                      throws NullArgumentException,
                             DimensionMismatchException,
                             NotStrictlyPositiveException

  Computes the value of the gradient at `x`. The components of the gradient vector are the partial derivatives of the function with respect to each of the parameters.

  Specified by:
    `gradient` in interface `ParametricUnivariateFunction`
  Parameters:
    `x` - Value at which the gradient must be computed.
    `param` - Values for `k`, `m`, `b`, `q`, `a` and `n`.
  Returns:
    the gradient vector at `x`.
  Throws:
    `NullArgumentException` - if `param` is `null`.
    `DimensionMismatchException` - if the size of `param` is not 6.
    `NotStrictlyPositiveException` - if `param[5] <= 0`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.